Vulnerability CVE-2010-3863


Published: 2010-11-05   Modified: 2012-02-13

Description:
Apache Shiro before 1.1.0, and JSecurity 0.9.x, does not canonicalize URI paths before comparing them to entries in the shiro.ini file, which allows remote attackers to bypass intended access restrictions via a crafted request, as demonstrated by the /./account/index.jsp URI.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Apache Shiro information disclosure vulnerability
Les Hazlewood
09.11.2010

Type:

CWE-22

(Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal'))

Vendor: Apache
Product: Shiro 
Version: 1.0.0;
Vendor: Jsecurity
Product: Jsecurity 
Version: 0.9.0;

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None

 References:
http://archives.neohapsis.com/archives/fulldisclosure/2010-11/0020.html
http://www.securityfocus.com/archive/1/514616/100/0/threaded
http://www.securityfocus.com/bid/44616
http://www.vupen.com/english/advisories/2010/2888
https://exchange.xforce.ibmcloud.com/vulnerabilities/62959

Copyright 2019, cxsecurity.com

 

Back to Top